classification
Title: Python 3.1.1 test_cmd_line fails on Fedora 11
Type: behavior Stage:
Components: Tests Versions: Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Pif, amaury.forgeotdarc, ezio.melotti, vstinner
Priority: normal Keywords:

Created on 2009-08-21 10:11 by Pif, last changed 2011-11-29 13:14 by vstinner. This issue is now closed.

Messages (5)
msg91813 - (view) Author: Guillaume Delcourt-Petetin (Pif) Date: 2009-08-21 10:11
Just what it says on the label :

[...]
Traceback (most recent call last):
  File "./Lib/test/regrtest.py", line 618, in runtest_inner
    indirect_test()
  File
"/home/Pif/Téléchargement/Python-3.1.1/Python-3.1.1/Lib/test/test_cmd_l
    test.support.run_unittest(CmdLineTest)
  File
"/home/Pif/Téléchargement/Python-3.1.1/Python-3.1.1/Lib/test/support.py
    _run_suite(suite)
  File
"/home/Pif/Téléchargement/Python-3.1.1/Python-3.1.1/Lib/test/support.py
    raise TestFailed(err)
test.support.TestFailed: Traceback (most recent call last):
  File
"/home/Pif/Téléchargement/Python-3.1.1/Python-3.1.1/Lib/test/test_cmd_l
    self.assertTrue(path1.encode('ascii') in stdout)
AssertionError: False is not True


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./Lib/test/regrtest.py", line 1222, in <module>
    main()
  File "./Lib/test/regrtest.py", line 425, in main
    testdir, huntrleaks)
  File "./Lib/test/regrtest.py", line 584, in runtest
    testdir, huntrleaks)
  File "./Lib/test/regrtest.py", line 638, in runtest_inner
    print("test", test, "failed --", msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\xe9' in
position 54: ordinal not in range(128)
test test_cmd_line failed -- make: *** [test] Erreur 1

[...]


In my search for similar bugs, I only found a mac OSX/Python 3.0 issue
(http://bugs.python.org/issue4388)
msg91827 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-08-21 13:46
Does it happen if you build python from a directory with no accented
letters?
msg91828 - (view) Author: Guillaume Delcourt-Petetin (Pif) Date: 2009-08-21 14:10
Nope.

2009/8/21 Amaury Forgeot d'Arc <report@bugs.python.org>

>
> Amaury Forgeot d'Arc <amauryfa@gmail.com> added the comment:
>
> Does it happen if you build python from a directory with no accented
> letters?
>
> ----------
> nosy: +amaury.forgeotdarc
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue6753>
> _______________________________________
>
msg148541 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-11-29 06:33
Is this still an issue?
msg148560 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-11-29 13:14
A lot of bugs related to encodings has been fixed. The bug was seen on Python 3.1, whereas the current development version is 3.3. We have a Fedora buildbot and many Fedora users, none reported such error recently. I consider this issue as fixed.
History
Date User Action Args
2011-11-29 13:14:08vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg148560
2011-11-29 13:12:30eric.araujosetfiles: - unnamed
2011-11-29 06:33:51ezio.melottisetnosy: + ezio.melotti
messages: + msg148541
2010-08-01 00:15:13eric.araujosetnosy: + vstinner
2009-08-21 14:10:23Pifsetfiles: + unnamed

messages: + msg91828
2009-08-21 13:46:54amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg91827
2009-08-21 10:11:10Pifcreate